cStringIO.StringIO (Jython API documentation)
Date: 2024-08-18

org.python.modules

## Class cStringIO.StringIO

- java.lang.Object
- - org.python.core.PyObject
  - - org.python.core.PyIterator
    - - org.python.modules.cStringIO.StringIO

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Iterable<java.lang.Object>, Traverseproc
  Enclosing class:
    cStringIO

      public static class cStringIO.StringIO
      extends PyIterator

  The StringIO object
  See Also:
    `cStringIO.StringIO()`, `cStringIO.StringIO(CharSequence)`, Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.python.core.PyObject

      `PyObject.ConversionException`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `__doc__close`
    `static java.lang.String` | `__doc__flush`
    `static java.lang.String` | `__doc__getvalue`
    `static java.lang.String` | `__doc__isatty`
    `static java.lang.String` | `__doc__read`
    `static java.lang.String` | `__doc__readline`
    `static java.lang.String` | `__doc__readlines`
    `static java.lang.String` | `__doc__reset`
    `static java.lang.String` | `__doc__seek`
    `static java.lang.String` | `__doc__tell`
    `static java.lang.String` | `__doc__truncate`
    `static java.lang.String` | `__doc__write`
    `static java.lang.String` | `__doc__writelines`
    `boolean` | `closed`
    `int` | `pos`
    `boolean` | `softspace`

    - ### Fields inherited from class org.python.core.PyIterator

      `__doc__next`

    - ### Fields inherited from class org.python.core.PyObject

      `gcMonitorGlobal, TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringIO()`
    `StringIO(java.lang.CharSequence buffer)`
    `StringIO(PyArray array)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PyObject` | `__iternext__()` Return the next element of the sequence that this is an iterator for.
    `void` | `__setattr__(java.lang.String name, PyObject value)` A variant of the __setattr__ method which accepts a String as the key.
    `void` | `close()` Free the memory buffer.
    `void` | `flush()` Flush the internal buffer.
    `PyString` | `getvalue()` Retrieve the entire contents of the ``file'' at any time before the StringIO object's close() method is called.
    `boolean` | `isatty()` Return false.
    `PyString` | `read()` Read all data until EOF is reached.
    `PyString` | `read(long size)` Read at most size bytes from the file (less if the read hits EOF).
    `PyString` | `readline()` Read one entire line from the file.
    `PyString` | `readline(long size)` Read one entire line from the file.
    `PyString` | `readlineNoNl()` Read and return a line without the trailing newline.
    `PyObject` | `readlines()` Read until EOF using readline() and return a list containing the lines thus read.
    `PyObject` | `readlines(long sizehint)` Read until EOF using readline() and return a list containing the lines thus read.
    `void` | `reset()` Reset the file position to the beginning of the file.
    `void` | `seek(long pos)` Position the file pointer to the absolute position.
    `void` | `seek(long pos, int mode)` Position the file pointer to the position in the .
    `int` | `tell()` Return the file position.
    `void` | `truncate()` truncate the file at the current position.
    `void` | `truncate(long pos)` truncate the file at the position pos.
    `void` | `write(PyObject obj)` Write a string to the file.
    `void` | `write(java.lang.String s)`
    `void` | `writeChar(char ch)` Write a char to the file.
    `void` | `writelines(PyObject lines)` Write a list of strings to the file.

    - ### Methods inherited from class org.python.core.PyIterator

      `__iter__, __tojava__, iterator, next, refersDirectlyTo, traverse`

    - ### Methods inherited from class org.python.core.PyObject

      `__abs__, __add__, __and__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __cmp__, __coerce__, __coerce_ex__, __complex__, __contains__, __delattr__, __delattr__, __delete__, __delitem__, __delitem__, __delslice__, __delslice__, __dir__, __div__, __divmod__, __ensure_finalizer__, __eq__, __findattr__, __findattr__, __findattr_ex__, __finditem__, __finditem__, __finditem__, __float__, __floordiv__, __format__, __ge__, __get__, __getattr__, __getattr__, __getitem__, __getitem__, __getnewargs__, __getslice__, __getslice__, __gt__, __hash__, __hex__, __iadd__, __iand__, __idiv__, __idivmod__, __ifloordiv__, __ilshift__, __imod__, __imul__, __index__, __int__, __invert__, __ior__, __ipow__, __irshift__, __isub__, __itruediv__, __ixor__, __le__, __len__, __long__, __lshift__, __lt__, __mod__, __mul__, __ne__, __neg__, __nonzero__, __not__, __oct__, __or__, __pos__, __pow__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __reduce__, __reduce_ex__, __reduce_ex__, __repr__, __rfloordiv__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rtruediv__, __rxor__, __set__, __setattr__, __setitem__, __setitem__, __setitem__, __setslice__, __setslice__, __str__, __sub__, __truediv__, __trunc__, __unicode__, __xor__, _add, _and, _callextra, _cmp, _div, _divmod, _doget, _doget, _doset, _eq, _floordiv, _ge, _gt, _iadd, _iand, _idiv, _idivmod, _ifloordiv, _ilshift, _imod, _imul, _in, _ior, _ipow, _irshift, _is, _isnot, _isub, _itruediv, _ixor, _jcall, _jcallexc, _jthrow, _le, _lshift, _lt, _mod, _mul, _ne, _notin, _or, _pow, _rshift, _sub, _truediv, _xor, asDouble, asIndex, asIndex, asInt, asInt, asIterable, asLong, asLong, asName, asName, asString, asString, asStringOrNull, asStringOrNull, bit_length, conjugate, delDict, delType, dispatch__init__, equals, fastGetClass, fastGetDict, getDict, getType, hashCode, implementsDescrDelete, implementsDescrGet, implementsDescrSet, invoke, invoke, invoke, invoke, invoke, invoke, isCallable, isDataDescr, isIndex, isInteger, isMappingType, isNumberType, isSequenceType, noAttributeError, object___subclasshook__, readonlyAttributeError, setDict, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Field Detail

    - #### softspace

          public boolean softspace

    - #### closed

          public boolean closed

    - #### pos

          public int pos

    - #### __doc__close

          public static final java.lang.String __doc__close

      See Also:
        Constant Field Values

    - #### __doc__isatty

          public static final java.lang.String __doc__isatty

      See Also:
        Constant Field Values

    - #### __doc__seek

          public static final java.lang.String __doc__seek

      See Also:
        Constant Field Values

    - #### __doc__reset

          public static final java.lang.String __doc__reset

      See Also:
        Constant Field Values

    - #### __doc__tell

          public static final java.lang.String __doc__tell

      See Also:
        Constant Field Values

    - #### __doc__read

          public static final java.lang.String __doc__read

      See Also:
        Constant Field Values

    - #### __doc__readline

          public static final java.lang.String __doc__readline

      See Also:
        Constant Field Values

    - #### __doc__readlines

          public static final java.lang.String __doc__readlines

      See Also:
        Constant Field Values

    - #### __doc__truncate

          public static final java.lang.String __doc__truncate

      See Also:
        Constant Field Values

    - #### __doc__write

          public static final java.lang.String __doc__write

      See Also:
        Constant Field Values

    - #### __doc__writelines

          public static final java.lang.String __doc__writelines

      See Also:
        Constant Field Values

    - #### __doc__flush

          public static final java.lang.String __doc__flush

      See Also:
        Constant Field Values

    - #### __doc__getvalue

          public static final java.lang.String __doc__getvalue

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### StringIO

          public StringIO()

    - #### StringIO

          public StringIO(java.lang.CharSequence buffer)

    - #### StringIO

          public StringIO(PyArray array)

  - ### Method Detail

    - #### __setattr__

          public void __setattr__(java.lang.String name,
                                  PyObject value)

      Description copied from class: `PyObject`
      A variant of the __setattr__ method which accepts a String as the key. This String must be interned.
      Overrides:
        `__setattr__` in class `PyObject`
      Parameters:
        `name` - the name whose value will be set - must be an interned string .
        `value` - the value to set this name to
      See Also:
        `PyObject.__setattr__(PyString, PyObject)`

    - #### __iternext__

          public PyObject __iternext__()

      Description copied from class: `PyObject`
      Return the next element of the sequence that this is an iterator for. Returns null when the end of the sequence is reached.
      Specified by:
        `__iternext__` in class `PyIterator`

    - #### close

          public void close()

      Free the memory buffer.

    - #### isatty

          public boolean isatty()

      Return false.
      Returns:
        false.

    - #### seek

          public void seek(long pos)

      Position the file pointer to the absolute position.
      Parameters:
        `pos` - the position in the file.

    - #### seek

          public void seek(long pos,
                           int mode)

      Position the file pointer to the position in the .
      Parameters:
        `pos` - the position in the file.
        `mode` - 0=from the start, 1=relative, 2=from the end.

    - #### reset

          public void reset()

      Reset the file position to the beginning of the file.

    - #### tell

          public int tell()

      Return the file position.
      Returns:
        the position in the file.

    - #### read

          public PyString read()

      Read all data until EOF is reached. An empty string is returned when EOF is encountered immediately.
      Returns:
        A string containing the data.

    - #### read

          public PyString read(long size)

      Read at most size bytes from the file (less if the read hits EOF). If the size argument is negative, read all data until EOF is reached. An empty string is returned when EOF is encountered immediately.
      Parameters:
        `size` - the number of characters to read.
      Returns:
        A string containing the data read.

    - #### readline

          public PyString readline()

      Read one entire line from the file. A trailing newline character is kept in the string (but may be absent when a file ends with an incomplete line). An empty string is returned when EOF is hit immediately.
      Returns:
        data from the file up to and including the newline.

    - #### readline

          public PyString readline(long size)

      Read one entire line from the file. A trailing newline character is kept in the string (but may be absent when a file ends with an incomplete line). If the size argument is non-negative, it is a maximum byte count (including the trailing newline) and an incomplete line may be returned.
      Returns:
        data from the file up to and including the newline.

    - #### readlineNoNl

          public PyString readlineNoNl()

      Read and return a line without the trailing newline. Usind by cPickle as an optimization.

    - #### readlines

          public PyObject readlines()

      Read until EOF using readline() and return a list containing the lines thus read.
      Returns:
        a list of the lines.

    - #### readlines

          public PyObject readlines(long sizehint)

      Read until EOF using readline() and return a list containing the lines thus read.
      Returns:
        a list of the lines.

    - #### truncate

          public void truncate()

      truncate the file at the current position.

    - #### truncate

          public void truncate(long pos)

      truncate the file at the position pos.

    - #### write

          public void write(PyObject obj)

      Write a string to the file.
      Parameters:
        `obj` - The data to write.

    - #### write

          public void write(java.lang.String s)

    - #### writeChar

          public void writeChar(char ch)

      Write a char to the file. Used by cPickle as an optimization.
      Parameters:
        `ch` - The data to write.

    - #### writelines

          public void writelines(PyObject lines)

      Write a list of strings to the file.

    - #### flush

          public void flush()

      Flush the internal buffer. Does nothing.

    - #### getvalue

          public PyString getvalue()

      Retrieve the entire contents of the ``file'' at any time before the StringIO object's close() method is called.
      Returns:
        the contents of the StringIO.

Jython homepage